package online.view;

import org.junit.jupiter.api.Assertions;
import org.junit.jupiter.api.DisplayName;
import org.junit.jupiter.api.Test;

/**
 * TestViewUtil
 *
 */
public class TestViewUtil {

	/**
	 * コントロールコード除去
	 */
	@Test
	@DisplayName("コントロールコード除去")
	public void noControlTest() {
		Assertions.assertEquals("", ViewUtil.noControl(null));
		Assertions.assertEquals("", ViewUtil.noControl(""));
		Assertions.assertEquals("アイウエ\tオ", ViewUtil.noControl("アイ\nウ\rエ\tオ"));
	}
}
